| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Private Attributes | List of all members
concurrency::DataNode Class Reference

`#include <src/PRGraph/PrecedenceRulesGraph.h>`

Inheritance diagram for concurrency::DataNode:
[legend]
Collaboration diagram for concurrency::DataNode:
[legend]

## Public Member Functions
| DataNode (PrecedenceRulesGraph &graph, const DataObjID &path)
| Constructor. More...
virtual | ~DataNode ()=default
| Destructor. More...
const DataObjID & | getPath ()
virtual bool | accept (IGraphVisitor &visitor)
| Entry point for a visitor. More...
void | addProducerNode (AlgorithmNode *node)
| Add relationship to producer AlgorithmNode. More...
void | addConsumerNode (AlgorithmNode *node)
| Add relationship to consumer AlgorithmNode. More...
const std::vector< AlgorithmNode * > & | getProducers () const
| Get all data object producers. More...
const std::vector< AlgorithmNode * > & | getConsumers () const
| Get all data object consumers. More...

## Public Attributes
PrecedenceRulesGraph * | m_graph

## Private Attributes
DataObjID | m_data_object_path
std::vector< AlgorithmNode * > | m_producers
std::vector< AlgorithmNode * > | m_consumers

## Detailed Description

Definition at line 555 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

## ◆ DataNode()

concurrency::DataNode::DataNode | ( | PrecedenceRulesGraph & | graph,
|  | const DataObjID & | path
| ) |  |
| inline

Constructor.

Definition at line 558 of file PrecedenceRulesGraph.h.

558 : m_graph( &graph ), m_data_object_path( path ) {}
GaudiPython.HistoUtils.path
path
Definition: HistoUtils.py:932
concurrency::DataNode::m_data_object_path
DataObjID m_data_object_path
Definition: PrecedenceRulesGraph.h:588
plotSpeedupsPyRoot.graph
graph
Definition: plotSpeedupsPyRoot.py:140
concurrency::DataNode::m_graph
PrecedenceRulesGraph * m_graph
Definition: PrecedenceRulesGraph.h:585

## ◆ ~DataNode()

virtual concurrency::DataNode::~DataNode | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ accept()

virtual bool concurrency::DataNode::accept | ( | IGraphVisitor & | visitor | ) |
| inline virtual

Entry point for a visitor.

Reimplemented in concurrency::ConditionNode.

Definition at line 566 of file PrecedenceRulesGraph.h.

566 {
567 return visitor.visitEnter( *this ) ? visitor.visit( *this ) : true;
568 }

## ◆ addConsumerNode()

void concurrency::DataNode::addConsumerNode | ( | AlgorithmNode * | node | ) |
| inline

Add relationship to consumer AlgorithmNode.

Definition at line 575 of file PrecedenceRulesGraph.h.

575 {
576 if ( std::find( m_consumers.begin(), m_consumers.end(), node ) == m_consumers.end() )
577 m_consumers.push_back( node );
578 }
concurrency::DataNode::m_consumers
std::vector< AlgorithmNode * > m_consumers
Definition: PrecedenceRulesGraph.h:590
std::find
T find(T... args)

## ◆ addProducerNode()

void concurrency::DataNode::addProducerNode | ( | AlgorithmNode * | node | ) |
| inline

Add relationship to producer AlgorithmNode.

Definition at line 570 of file PrecedenceRulesGraph.h.

570 {
571 if ( std::find( m_producers.begin(), m_producers.end(), node ) == m_producers.end() )
572 m_producers.push_back( node );
573 }
std::find
T find(T... args)
concurrency::DataNode::m_producers
std::vector< AlgorithmNode * > m_producers
Definition: PrecedenceRulesGraph.h:589

## ◆ getConsumers()

const std::vector<AlgorithmNode*>& concurrency::DataNode::getConsumers | ( |  | ) | const
| inline

Get all data object consumers.

Definition at line 582 of file PrecedenceRulesGraph.h.

582 { return m_consumers; }
concurrency::DataNode::m_consumers
std::vector< AlgorithmNode * > m_consumers
Definition: PrecedenceRulesGraph.h:590

## ◆ getPath()

const DataObjID& concurrency::DataNode::getPath | ( |  | ) |
| inline

Definition at line 563 of file PrecedenceRulesGraph.h.

563 { return m_data_object_path; }
concurrency::DataNode::m_data_object_path
DataObjID m_data_object_path
Definition: PrecedenceRulesGraph.h:588

## ◆ getProducers()

const std::vector<AlgorithmNode*>& concurrency::DataNode::getProducers | ( |  | ) | const
| inline

Get all data object producers.

Definition at line 580 of file PrecedenceRulesGraph.h.

580 { return m_producers; }
concurrency::DataNode::m_producers
std::vector< AlgorithmNode * > m_producers
Definition: PrecedenceRulesGraph.h:589

## Member Data Documentation

## ◆ m_consumers

std::vector<AlgorithmNode*> concurrency::DataNode::m_consumers
| private

Definition at line 590 of file PrecedenceRulesGraph.h.

## ◆ m_data_object_path

DataObjID concurrency::DataNode::m_data_object_path
| private

Definition at line 588 of file PrecedenceRulesGraph.h.

## ◆ m_graph

PrecedenceRulesGraph* concurrency::DataNode::m_graph

Definition at line 585 of file PrecedenceRulesGraph.h.

## ◆ m_producers

std::vector<AlgorithmNode*> concurrency::DataNode::m_producers
| private

Definition at line 589 of file PrecedenceRulesGraph.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/PRGraph/PrecedenceRulesGraph.h